import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程流媒体
    appCourseStreaming(data) {
        return request({
            url: '/course/streaming',
            method: 'post',
            data
        })
    },
    //修改课程流媒体
    editCourseBusinessCourseStreaming(data) {
        return request({
            url: '/course/streaming/edit',
            method: 'post',
            data
        })
    },
    //查询课程流媒体列表
    inquireCourseStreaming(data) {
        return request({
            url: '/course/streaming/list',
            method: 'get',
            params: data
        })
    },
    //获取课程流媒体详细信息
    obtainCourseStreaming(data) {
        return request({
            url: `/course/streaming/` + data,
            method: 'get',
        })
    },
    //获取课程小节业务层次列表
    obtainCourseStreamingsq(data) {
        return request({
            url: `/course/streaming/business/` + data,
            method: 'get',
        })
    },
}